Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Namespaces | Variables
oauthadmin/module.php File Reference

Go to the source code of this file.

## Namespaces
| kernel

## Variables
| $Module
| $ViewList = array()
| $ViewList ['list']
| $ViewList ['edit']
| $ViewList ['action']
| $ViewList ['view']
| $FunctionList = array( )

## Variable Documentation

## ◆ $FunctionList

$FunctionList = array( )

Definition at line 50 of file oauthadmin/module.php.

## ◆ $Module

$Module

Initial value:
= array( 'name' => 'Rest client admin',
'variable_params' => true )

Definition at line 14 of file oauthadmin/module.php.

## ◆ $ViewList [1/5]

$ViewList = array()

Definition at line 17 of file oauthadmin/module.php.

## ◆ $ViewList [2/5]

$ViewList[ 'action']

Initial value:
= array(
'script' => 'action.php',
'single_post_actions' => array( 'NewApplicationButton' => 'NewApplication',
'DeleteApplicationListButton' => 'DeleteApplicationList' ),
'post_action_parameters' => array( 'DeleteApplicationList' => array( 'ApplicationIDList' => 'DeleteIDArray',
'ConfirmDelete' => 'ConfirmDelete' ) ),
'default_navigation_part' => 'ezsetupnavigationpart',
)

Definition at line 35 of file oauthadmin/module.php.

## ◆ $ViewList [3/5]

$ViewList[ 'edit']

Initial value:
= array(
'script' => 'edit.php',
'params' => array( 'ApplicationID' ),
'single_post_actions' => array( 'StoreButton' => 'Store',
'DiscardButton' => 'Discard' ),
'post_action_parameters' => array( 'Store' => array( 'Name' => 'Name',
'EndPointURI' => 'EndPointURI',
'Description' => 'Description' ) ),
'default_navigation_part' => 'ezsetupnavigationpart',
)

Definition at line 24 of file oauthadmin/module.php.

## ◆ $ViewList [4/5]

$ViewList[ 'list']

Initial value:
= array(
'script' => 'list.php',
'default_navigation_part' => 'ezsetupnavigationpart',
)

Definition at line 19 of file oauthadmin/module.php.

## ◆ $ViewList [5/5]

$ViewList[ 'view']

Initial value:
= array(
'script' => 'view.php',
'params' => array( 'ApplicationID' ),
'default_navigation_part' => 'ezsetupnavigationpart',
)

Definition at line 44 of file oauthadmin/module.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.